<?php // If we want to show the full content, ignore the more tag
if( get_option( "ocmx_content_length" ) == "no" ) :
	global $more;    // Declare global $more (before the loop).
	$more = 1;
endif;

// Declare the image sizes
$resizer = '4-3-large';
$width = '940';
$height = '529';

// Setup which post meta to show or hide
$date = get_option( "ocmx_meta_date_post");
$author_link = get_option( "ocmx_meta_author_post");
$author = get_option( "ocmx_meta_author_block_post");
$social = get_option( "ocmx_meta_social_post");
$social_code = get_option( "ocmx_social_tag" );

// Feature Image
$args  = array( 'postid' => $post->ID, 'width' => $width, 'height' => $height, 'hide_href' => false, 'exclude_video' => true, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => $resizer );

$image = get_obox_media( $args ); ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post clearfix'); ?>>

	<h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

	<?php if( $date != "false" || $author_link != "false" ) : ?>
		<h5 class="post-date">
			<?php if( $author_link != "false" ) {_e("Posted by ", "ocmx"); ?> <?php the_author_posts_link();} // Hide the author unless enabled in Theme Options ?>
			<?php if( $date != "false" && $author != "false" ) {_e(" on ", "ocmx"); } if( $date != "false") { echo the_time(get_option('date_format'));} //Hide the date ?>
		</h5>
	<?php endif; ?>

	<!--Show the Featured Image or Video -->
	<?php  if($image != "") { echo $image; } ?>

	<!--Begin Excerpt -->
	<div class="copy">
		<?php if( get_option( "ocmx_content_length" ) != "no" ) :
			if(strpos($post->post_content, '<!--more-->')) : // Obey the more tag
				the_content('');
			else : // Use the excerpt or the content shortened
				the_excerpt();
			endif;
		else :  // Use the full content
			echo the_content();
		endif; ?>

		<?php if( get_option( "ocmx_content_length" ) != "no" ) :  ?>
			<p><a class="read-more" href="<?php the_permalink(); ?>"><?php _e("Read More", "ocmx"); ?></a></p>
		<?php elseif(comments_open()) : ?>
			<p><a class="read-more" href="<?php the_permalink(); ?>#comments"><?php _e("Leave a Comment", "ocmx"); ?></a></p>
		<?php endif; ?>
	</div>

</div>