<?php global $post, $post_type;

$resizer = '1000auto';
$width = '1000';

$args  = array('postid' => $post->ID, 'width' => $width, 'hide_href' => true, 'exclude_video' => false, 'imglink' => false, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => $resizer);
$image = get_obox_media($args);


 // Pages must only look for the page settings, and hide certain items by default
if( is_page() ) :
	$options_suffix = '_page';
	$category = "false";
	$post_links = "false";
	$tags = "false";
else :
	$options_suffix = '_post';
	$category = get_option( "ocmx_meta_category_post" );
	$tags = get_option( "ocmx_meta_tags_post" );
	$post_links = get_option( "ocmx_meta_post_links_post" );
endif;

// Setup which post meta to show or hide
$date = get_option( "ocmx_meta_date" . $options_suffix );
$author_link = get_option( "ocmx_meta_author" . $options_suffix );
$author = get_option( "ocmx_meta_author_block" . $options_suffix );
$social = get_option( "ocmx_meta_social" . $options_suffix );
$social_code = get_option( "ocmx_social_tag" ); ?>

<div class="post-container <?php if( $author == "false" ) { echo 'no-author'; } ?>">

	<?php if(!is_page()) : ?>
		<h2 class="post-title typography-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
	<?php endif; ?>

	<?php if( $date != "false" || $author_link != "false" ) : ?>
		<h5 class="post-date">
			<?php if( $author_link != "false" ) {_e("Posted by ", "ocmx"); ?> <?php the_author_posts_link();} // Hide the author unless enabled in Theme Options ?>
			<?php if( $date != "false" && $author != "false" ) {_e(" on ", "ocmx"); } if( $date != "false") { echo the_time(get_option('date_format'));} //Hide the date ?>
		</h5>
	<?php endif; ?>

	<div class="copy clearfix">

		<?php if( $image !="" ) { echo $image; } // Show the Featured Image or Video ?>

		<?php the_content(); ?>

		<?php wp_link_pages( array(
				'link_before'	=> '<span>',
				'link_after'	=> '</span>',
				'before'		=> '<p class="inner-post-pagination">' . __('<span>Pages:</span>', 'ocmx'),
				'after'		=> '</p>'
			)); ?>
	</div>

	<div class="post-meta clearfix">
		<?php if( isset( $social_code ) && $social_code !="" ) { ?>
			<div class="social"><?php echo get_option("ocmx_social_tag"); ?></div>
		<?php } elseif( $social != "false" ) { // Show sharing if enabled in Theme Options
			get_template_part( 'functions/sharing-buttons' );
			} // Show sharing if enabled in Theme Options  ?>

		<?php if( !is_page() && has_tag() && $tags != "false" ) { ?>
			<ul class="tags">
				<?php the_tags('<li>Tags &raquo; </li><li>','</li><li>','</li>'); ?>
			</ul>
		<?php } // Show tags if enabled in Theme Options & post has tags ?>
	</div>

	<?php if( !is_page() && 'post' == get_post_type() && $post_links !="false" ) { ?>
		<ul class="next-prev-post-nav">
			<li>
				<?php if ( get_adjacent_post( false, '', true ) ): // if there are older posts ?>
					<small><?php _e('Previous Post', 'ocmx'); ?></small>
					<?php previous_post_link("%link", "%title"); ?>
				<?php else : ?>
					&nbsp;
				<?php endif; ?>
			</li>
			<li>
				<?php if ( get_adjacent_post( false, '', false ) ): // if there are newer posts ?>
					<small><?php _e('Next Post', 'ocmx'); ?></small>
					<?php next_post_link("%link", "%title"); ?>
				<?php else : ?>
					&nbsp;
				<?php endif; ?>
			</li>
		</ul>
	<?php } // if is post ?>