<?php function obox_widget_image_control( $label = 'Image' , $input_name = 'image' , $input_value = 0){ ?>
	<label><?php echo $label; ?></label>
	<br class="clear" />
	<div class="wp-image-upload-container">
		<p>
			<input class="widefat wp-color-picker" style="z-index: 10;" id="<?php echo $input_name; ?>[color]" name="<?php echo $input_name; ?>[color]" type="text" value="<?php if( isset( $input_value['color'] ) ) echo $input_value['color']; ?>" />
		</p>
		<p>
			<?php if( isset( $input_value['image'] ) && '' != $input_value['image'] ) {
				$image = wp_get_attachment_image_src( $input_value['image'] , 'medium' ); ?>
				<img src="<?php echo $image[0]; ?>" style="max-width: 95%; border: 1px solid #ccc; margin: auto;" />
			<?php } else { ?>
				<img style="display: none; max-width: 95%; border: 1px solid #ccc; margin: auto;" />
			<?php } ?>

			<a href="#" class="button wp-image-picker"><?php _e( 'Choose Image' , 'ocmx' ); ?></a>&nbsp;
			<a href="#" class="remove wp-image-clear"><?php _e( 'Clear Image' ); ?></a>
			<input id="<?php echo $input_name; ?>" name="<?php echo $input_name; ?>[image]" type="hidden" value="<?php if( isset( $input_value['image'] ) ) echo $input_value['image']; ?>" />
		</p>
		<div class="wp-image-attributes" <?php if( !isset( $input_value['image'] ) || ( isset( $input_value['image'] ) && '' == $input_value['image'] )) { ?>style="display: none;"<?php } ?>>
			<p>
				<label><?php _e( 'Position' , 'ocmx' ); ?></label>
				<?php $position_options = array( 'center' => 'Center' , 'top' => 'Top' , 'left' => 'Left' , 'right' => 'Right' , 'bottom' => 'Bottom' ); ?>
				<select class="widefat" id="<?php echo $input_name; ?>[position]" name="<?php echo $input_name; ?>[position]" type="select">
					<?php foreach ( $position_options as $slug => $label ) { ?>
						<option value="<?php echo $slug; ?>" <?php if( isset( $input_value['position'] ) && $input_value['position'] == $slug ) echo 'selected="selected"'; ?>>
							<?php echo $label; ?>
						</option>
					<?php } ?>
				</select>
			</p>
			<p>
				<label><?php _e( 'Repeat' , 'ocmx' ); ?></label>
				<?php $repeat_options = array( 'no-repeat' => 'None' , 'repeat-x' => 'Repeat X' , 'repeat-y' => 'Repeat Y' , 'repeat' => 'Repeat' ); ?>
				<select class="widefat" id="<?php echo $input_name; ?>[repeat]" name="<?php echo $input_name; ?>[repeat]" type="select">
					<?php foreach ( $repeat_options as $slug => $label ) { ?>
						<option value="<?php echo $slug; ?>" <?php if( isset( $input_value['repeat'] ) && $input_value['repeat'] == $slug ) echo 'selected="selected"'; ?>>
							<?php echo $label; ?>
						</option>
					<?php } ?>
				</select>
			</p>
		</div>
	</div>
<?php }

function obox_widget_color_control( $label = 'Color' , $input_name = 'color' , $input_value = 0){ ?>
	<label><?php echo $label; ?></label>
	<br class="clear" />
	<input class="widefat wp-color-picker" style="z-index: 10;" id="<?php echo $input_name; ?>" name="<?php echo $input_name; ?>" type="text" value="<?php if( '0' != $input_value ) echo $input_value; ?>" />
<?php }

function obox_widget_generate_css( $args = array() ){
	global $widget_css , $obox_themeid;

	$css = '';
	$input = $args[ 'input' ];

	switch ( $args[ 'type' ] ) {
		case 'background' :

			foreach ( $input as $attribute => $value ){
				if( $attribute != 'image' && $value != '' ) {
					$css .= 'background-' . $attribute . ': ' . $value . '; ';
				}
			}

			if( isset( $input['position'] ) && $input['position'] == 'center' && ( $input['repeat'] == 'no-repeat' || $input['repeat'] == '' ) ){
				$css .= 'background-size: cover;';
			}

			$css .= 'background-attachment: fixed;';

			if( isset( $input['image'] ) && $input['image'] != '' ){
				$image = wp_get_attachment_image_src( $input['image'] , 'full' );
				$css.= 'background-image: url(\'' . $image[0] .'\');';
			}
		break;

		case 'color' :

			$css .= 'color: ' . $input . ';';

		break;

	}

	$widget_css = '';
	if( isset( $args['selectors'] ) ) {
		foreach ( $args['selectors'] as $selector ) {
			$widget_css .= ' #widget-block #' . $args[ 'widget_id' ] . ' ' . $selector . '{' . $css . '} ';
		}
	} else {
		$widget_css .= ' #widget-block #' . $args[ 'widget_id' ] . '{' . $css . '} ';
	}
	wp_enqueue_style( $obox_themeid . '-custom-widget-styles', get_template_directory_uri() . '/widget-styling.css' );
	wp_add_inline_style( $obox_themeid . '-custom-widget-styles', $widget_css );

	return $css;
}