<?php
// Create Dynamic Sidebars
function ocmx_register_sidebars(){
	register_sidebar(array("name" => "Sidebar", "id" => "sidebar", "description" => "Place the Blue (Obox) widgets here.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s">', 'after_widget' => '</li>'));
 	if( 'widget' == get_option( 'ocmx_home_page_layout' ) ) {
 		register_sidebar(array("name" => "Slider", "id" => "slider", "description" => "Place the Red (Obox) widget here."));
 		register_sidebar(array("name" => "Home Page", "id" => "homepage", "description" => "Place the Orange (Obox) widgets here.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s"><div class="content">', 'after_widget' => '</div></li>'));
 	}
 	register_sidebar(array("name" => "Footer", "id" => "footer-sidebar", "description" => "Place the Blue (Obox) widgets or grey (Standard) here widgets.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s column">', 'after_widget' => '</li>'));
}
add_action( 'init' , 'ocmx_register_sidebars' );

/*******************/
/* Widgetized Page */
function add_widgetized_pages(){
	global $wpdb;
	$get_widget_pages = $wpdb->get_results("SELECT * FROM ".$wpdb->postmeta." WHERE `meta_key` = '_wp_page_template' AND  `meta_value` = 'widget-page.php'");
	foreach($get_widget_pages as $pages) :
		$post = get_post($pages->post_id);
		register_sidebar(array("name" => $post->post_title." Slider", "id" => $post->post_name . "-slider", "description" => "Place all 'Home Page Widgets' here."));
		register_sidebar(array("name" => $post->post_title." Body", "id" => $post->post_name . "-body", "description" => "Place all 'Home Page Widgets' here.",  "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s"><div class="content">', 'after_widget' => '</div></li>'));
	endforeach;
}
add_action("init", "add_widgetized_pages");

function ocmx_clear_old_widgets(){
	unregister_widget("obox_small_ad_widget");
	unregister_widget("obox_medium_ad_widget");
}
add_action('widgets_init', 'ocmx_clear_old_widgets', 11);