jQuery.noConflict();

/*
TABLE OF CONTENTS:
-------------------------------------
1 - SIDEBAR
2 - SCREEN HEIGHT ADJUSTER
3 - FITVID
4 - NANO SCROLLER
5 - TEAM jQuery
6 - FEATURES
7 - TESTIMONIALS JQUERY
8 - BACK TO TOP
9 -PORTFOLIO WIDGET JQUERY
10 - HOME PAGE ANCHORS
*/

jQuery(document).ready(function($) {

	/*- 1 - SIDEBAR
	-------------------------------------------*/
	jQuery("#menu-drop-button").bind("click", function(e){
		jQuery(" #sidebar-container , #wrapper").toggleClass( 'open' );
		e.stopPropagation();
		return false;
	});

	jQuery( "#sidebar-container" ).bind("click", function(e){
		e.stopPropagation();
	});

	jQuery("body").bind("click", function(){
		if( jQuery( "#sidebar-container" ).hasClass("open") ){
			jQuery(" #sidebar-container , #wrapper").removeClass( 'open' );
		}
	});


	/*- 2- SCREEN HEIGHT ADJUSTER
	------------------------------------------*/
	/*jQuery('.slider, .slider li').css({ height: jQuery(window).height() });

	jQuery(window).resize(function(){
		jQuery('.slider, .slider li').css({ height: jQuery(window).height() });
	});*/

	$headerheight = jQuery("#header-container").outerHeight();
	jQuery(".slider .slide").css( { "paddingTop": $headerheight } );
	jQuery(".home #content-container, .page-template-widget-page-php #content-container").css( { "paddingTop": -$headerheight } );

	$headerheight = jQuery("#header").outerHeight();
	jQuery("#title-container").css( { "marginTop": -$headerheight } );

	/*- 4- FITVID
	--------------------------------------------*/
	jQuery(".fitvid").fitVids();


	/*- 4 - NANO SCROLLER
	-------------------------------------------*/
	jQuery( ".nano" ).nanoScroller({
		contentClass: 'sidebar-content',
		preventPageScrolling: 'true',

	});


	/*- 6 -TEAM JQUERY
	--------------------------------------------*/
	jQuery(".team-member").hover(function () {jQuery(this).find(".description").slideDown("fast");}, function() {jQuery(this).find(".description").slideUp("fast");});


	/*- 7 - TESTIMONIALS JQUERY
	--------------------------------------------*/

	jQuery(".testimonials-content-widget").each(function(){
		var parent = jQuery(this).children(".testimonials-container");
		parent.animate( {'min-height' : parent.children(".testimonial-item").eq(0).height()} );
	});
	jQuery(".testimonials-content-widget .auto-slide").each(function(){
		var parent = jQuery(this).parent().children(".testimonials-container");
		var interval = (jQuery(this).text()*1000);

		if(jQuery(this).text() == '' || jQuery(this).text() == 0)
			return false;

		testimonial_slide = setInterval(function(){
			var current = parent.children(".testimonial-item.active").index();
			var max = parent.children(".testimonial-item").size();
			if(max > 1) {
				var next = (current+1);
				if(max == next){ var next = 0; }
				parent.animate( {'min-height' : parent.children(".testimonial-item").eq(next).height()} );
				parent.children(".testimonial-item.active").fadeOut({'duration' : 300}).removeClass("active");
				parent.children(".testimonial-item").eq(next).fadeIn({'duration' : 300}).addClass("active");
			}
		}, interval);
	});


	/*- 8 - BACK TO TOP
	--------------------------------------------*/
	jQuery("#back-top").hide();

	jQuery(window).scroll(function () {
		if (jQuery(this).scrollTop() > 300) {
			jQuery('#back-top').fadeIn();
		} else {
			jQuery('#back-top').fadeOut();
		}
	});

	// scroll body to 0px on click
	jQuery('#back-top a').click(function () {
		jQuery('body,html').animate({
			scrollTop: 0
		}, 800);
		return false;
	});

	/*- 9 -PORTFOLIO WIDGET JQUERY
	--------------------------------------------*/

	function do_masonry( $container, $filter ){

		$width = $container.outerWidth();

		if( $container.hasClass( 'six' ) ){
			$cols = 6;
		} else if( $container.hasClass( 'five' ) ){
			$cols = 5;
		} else if( $container.hasClass( 'four' ) ){
			$cols = 4;
		} else if( $container.hasClass( 'three' ) ){
			$cols = 3;
		} else if( $container.hasClass( 'two' ) ){
			$cols = 2;
		} else {
			$cols = 1;
		}

		$container.isotope({
			gutterWidth: 0,
			animationOptions: { duration: 250 },
			itemSelector: '.column',
			columnWidth: ( $width / $cols ),
			fitColumns: true,
			resizable: true,
			filter: $filter
		});
	};

	jQuery(window).resize(function(){
		jQuery( ".portfolio-content-widget" ).each(function(){
			$div = jQuery(this);
			var $masonry_container = $div.find( '.content-widget-item' );
			do_masonry( $masonry_container , '*' );
		});
	});

	jQuery(window).load(function(){
		jQuery( ".portfolio-content-widget" ).each(function(){
			$div = jQuery(this);
			var $masonry_container = $div.find( '.content-widget-item' );
			do_masonry( $masonry_container , '*' );
		});
	});

	jQuery( ".portfolio-content-widget .category-cloud li a" ).bind( "click" , function(e) {
		e.preventDefault();
		$a = jQuery(this);
		$container_div = jQuery( $a.data( 'container-div-id' ) );
		$isotope_filter = $a.data( 'filter' );
		$container_div.find( '.category-cloud li' ).removeClass( 'active' );
		$a.parent().addClass( 'active' );

		var $masonry_container = $container_div.find( '.content-widget-item' );
		do_masonry( $masonry_container , $isotope_filter );
	});

	jQuery( ".portfolio-content-widget .column" ).bind( "click" , function(e) {
		e.preventDefault();
		$div = jQuery(this);
		$container_div = jQuery( $div.data( 'container-div-id' ) );
		$expand_div = $container_div.find( '.expand-portfolio' );

		// Remove current active portfolio item
		$container_div.find( '.column.active' ).removeClass( 'active' );
		$div.addClass( 'active' );

		do_portfolio_slide( $expand_div , $div.data( 'post-id' ) , $div.data( 'container-div-id' ));
	});

	jQuery( ".portfolio-controls .next, .portfolio-controls .previous" ).live( "click" , function(e) {
		e.preventDefault();
		$div = jQuery(this);
		$container_div= jQuery( jQuery(this).parent().data( 'container-div-id' ) );
		$expand_div = $container_div.find( '.expand-portfolio' );
		$active_div = $container_div.find( '.column.active' );

		if( $div.hasClass( 'next' ) ) {
			$next_div = $active_div.next();

			if( '-1' == $next_div.index() ){
				$next_div = $container_div.find( '.column' ).eq(0);
			}
		} else if( $div.hasClass( 'previous' ) ) {
			$next_div = $active_div.prev();

			if( '-1' == $next_div.index() ){
				$end = $container_div.find( '.column' ).length-1;
				$next_div = $container_div.find( '.column' ).eq( $end );
			}
		}

		// Remove current active portfolio item
		$container_div.find( '.column.active' ).removeClass( 'active' );
		$next_div.addClass( 'active' );

		do_portfolio_slide( $expand_div , $next_div.data( 'post-id' ) , $next_div.data( 'container-div-id' ));
	});

	jQuery( ".portfolio-controls .close" ).live( "click" , function(e) {
		e.preventDefault();

		jQuery( '#wrapper' ).addClass( 'show-dots' );
		$container_div= jQuery( jQuery(this).parent().data( 'container-div-id' ) );
		$expand_div = $container_div.find( '.expand-portfolio' );
		$expand_div.slideUp().html('');
	});

	function do_portfolio_slide( $expand_div , $post_id , $container_id ){
		jQuery.get(
			ThemeAjax.ajaxurl,
			{ action: 'ocmx_single_portfolio_ajax' , post_id: $post_id , container_id: $container_id } ,
			function( data ){
				$expand_div.html( data );
				//$expand_div.find( ".portfolio-controls" ).animate( { 'opacity' : 1 } , 750 );
				$expand_div.find( ".portfolio-content" ).animate( { 'opacity' : 1 } , 750 );
				if( !$expand_div.is(":visible") ){
					$expand_div.slideDown();
				}
				jQuery( '#wrapper' ).removeClass( 'show-dots' );
			}
		);
	};

	/*- 11 -HOME PAGE ANCHORS
	--------------------------------------------*/
	var $waypoints = { };
	function set_waypoints(){
		jQuery( ".dot-nav a" ).each( function() {
			$a = jQuery(this);
			$widget = jQuery( $a.data( 'widget-id' ) );
			$widget_offset = $widget.offset();
			if ( undefined !== $widget_offset ){
				$waypoints[ $a.data( 'widget-id' ) ] = { 'top' : $widget_offset.top-$headerheight , 'bottom' : ( +$widget_offset.top + $widget.outerHeight()-$headerheight ) };
			}
		});

		if( 0 == jQuery( '.dot-nav ' ).length ) jQuery( '.widget' ).addClass( 'animate-widget' );
	}

	// Setting waypoints, and show / hide anchors dots according to slider existance

	if ( jQuery( '#widget-block').hasClass( 'no-slider' ) ) { jQuery( '#wrapper' ).addClass( 'show-dots' ); }
	set_waypoints();
	jQuery(window).resize(function () {
		set_waypoints();
	});

	jQuery( ".dot-nav" ).css( 'margin-top' , ( -jQuery( ".dot-nav" ).height() / 2 ) );

	// Add relevant waypoint classes on scroll
	jQuery(window).scroll(function () {
		select_way_points();
	});

	// Add relevant waypoint classes on page load
	jQuery(window).load(function () {
		select_way_points();
	});

	jQuery( ".dot-nav a" ).bind( "click" , function(e) {
		e.preventDefault();
		$a = jQuery(this);
		$widget = jQuery( $a.data( 'widget-id' ) );

		if( undefined !== jQuery(this).data( 'top' ) ) {
			$widget_offset.top = 0;
		} else {
			$widget_offset = jQuery( $a.data( 'widget-id' ) ).offset();
		}
		jQuery( ".dot-nav a.selected" ).removeClass( 'selected' );
		$a.addClass( 'selected' );

		jQuery('body,html').animate({
			scrollTop: $widget_offset.top
		}, 800);

		e.stopPropagation();
	});

	function select_way_points(){
		jQuery( '.dot-nav a.selected').removeClass( "selected" );
		$scrolled = jQuery(this).scrollTop();
		var $scrolled_bottom = jQuery(window).scrollTop() + jQuery(window).height();
		jQuery.each( $waypoints , function( $widget_id , $position ){
			if( ( $position.top <= $scrolled ) && ( $position.bottom > +$scrolled ) ) {
				/* Debug
				console.log(
					$widget_id + "\n" +
					$position.top + " <= " + $scrolled + "\n" +
					$position.bottom + " > " + $scrolled + "\n"
				) */
				jQuery( 'a[data-widget-id="' + $widget_id + '"]').addClass( "selected" );


			}

			if( ( $position.top <= $scrolled_bottom ) ) {
				if( !jQuery( $widget_id ).hasClass( 'animate-widget' ) ) { jQuery( $widget_id ).addClass( 'animate-widget' ); };
			}
		});

		// If we are on a small screen size, ignore the fade-in transitions
		if( jQuery(window).width() < 1024 ) { return; }

		if ( undefined === jQuery('#slider-widget') || jQuery(this).scrollTop() > +jQuery('#slider-widget').outerHeight()-10 ) {
			jQuery( '#wrapper' ).addClass( 'show-dots' );
		} else {
			jQuery( '#wrapper' ).removeClass( 'show-dots' );
		}
	}

}); // document.ready